Bug 961243 - SELinux is preventing /usr/lib/firefox/firefox from 'create' accesses on the file insetup.exe-{7a37e75d-e408-4d9f-a452-b21bdf9a167f}.dtapart.
SELinux is preventing /usr/lib/firefox/firefox from 'create' accesses on the ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9acf47d0dc790fccf753301cf8a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 04:32 EDT by King
Modified: 2013-07-04 05:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 05:22:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description King 2013-05-09 04:32:47 EDT
Description of problem:
i dont know exactly how it happened
SELinux is preventing /usr/lib/firefox/firefox from 'create' accesses on the file insetup.exe-{7a37e75d-e408-4d9f-a452-b21bdf9a167f}.dtapart.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that firefox should be allowed create access on the insetup.exe-{7a37e75d-e408-4d9f-a452-b21bdf9a167f}.dtapart file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep firefox /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                insetup.exe-{7a37e75d-e408-4d9f-a452-b21bdf9a167f}
                              .dtapart [ file ]
Source                        firefox
Source Path                   /usr/lib/firefox/firefox
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           firefox-20.0-1.fc17.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-167.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.8-100.fc17.i686 #1 SMP Wed Apr
                              17 17:26:59 UTC 2013 i686 i686
Alert Count                   8
First Seen                    2013-04-30 17:10:34 PDT
Last Seen                     2013-04-30 17:36:16 PDT
Local ID                      1eba928e-8cdf-4a3c-a5c8-dca81b76aecb

Raw Audit Messages
type=AVC msg=audit(1367368576.871:94): avc:  denied  { create } for  pid=4327 comm="firefox" name="insetup.exe-{7a37e75d-e408-4d9f-a452-b21bdf9a167f}.dtapart" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1367368576.871:94): arch=i386 syscall=open success=no exit=EACCES a0=86062048 a1=8041 a2=1a0 a3=0 items=0 ppid=1 pid=4327 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=firefox exe=/usr/lib/firefox/firefox subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: firefox,mozilla_plugin_t,user_home_t,file,create

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_t:file create;

audit2allow -R

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_t:file create;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.8-100.fc17.i686
type:           libreport
Comment 1 Miroslav Grepl 2013-05-09 07:37:50 EDT
Do you know which plugin caused this issue?
Comment 2 Daniel Walsh 2013-05-09 10:00:34 EDT
Looks like you are trying to install a Windows executable?
Comment 3 Fedora End Of Life 2013-07-03 20:57:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.